Package sudoku.structure

# Class Coordinate

java.lang.Object
sudoku.structure.Coordinate

public class Coordinate extends Object
Représente les coordonnées d'une Cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Coordinate(int x, int y)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Coordinate`
  `add(Coordinate other)`
  Ajoute la Coordiante donnée à celle-ci.
  `int`
  `getX()`
  `int`
  `getY()`
  `void`
  `setX(int x)`
  `void`
  `setY(int y)`
  `Coordinate`
  `sub(Coordinate other)`
  Soustrait la Coordiante donnée à celle-ci.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Coordinate

    public Coordinate(int x, int y)

- ## Method Details

  - ### getX

    public int getX()

  - ### setX

    public void setX(int x)

  - ### getY

    public int getY()

  - ### setY

    public void setY(int y)

  - ### add

    public Coordinate add(Coordinate other)
    Ajoute la Coordiante donnée à celle-ci.
    Parameters:
      `other` - Coordiante, à ajouter.
    Returns:
      Coordinate, le résultat de l'addition.

  - ### sub

    public Coordinate sub(Coordinate other)
    Soustrait la Coordiante donnée à celle-ci.
    Parameters:
      `other` - Coordiante, à soustraire.
    Returns:
      Coordinate, le résultat de la soustraction.